#!/usr/bin/gnuplot

deg = pi/180.  # rad
arcsec = deg/3600.
mas = 1.e-3*arcsec

u0 = -15.940*mas
v0 =  25.609*mas
Irel = 0.5

u0_ = sqrt(u0**2+v0**2)
v0_ = 0.

musq(u,v) = (1.+Irel**2+2.*Irel*cos(2.*pi*(u*u0_+v*v0_)))/(1.+Irel)**2

########################################################################

mu = 1e-6
fac = 2.0

set xl "B/lambda [cycles]"
set yl "V^2 []"
set cbl "dataset"

set xr [0:]
set yr [-0.1:]
set zeroaxis
set nokey
set colorbox
set palette rgbformulae 33,13,10
set grid ytics
set samples 1000

p "Vis.dat_nooutliers" u (sqrt($2**2+$3**2)/$4):($6+fac*($8-1)):7 w err lc 'blue',\
  "Vis.dat_outliers" u (sqrt($2**2+$3**2)/$4):($6+fac*($8-1)):7 w err lc 'cyan',\
  "Vis.dat_outliers" u (sqrt($2**2+$3**2)/$4):($6+fac*($8-1)) w p pt 6 ps 2 lc 'red',\
  musq(x,0.) w l,\
  1.0 w l lt 0

pa -1

set term png small
set out "Vis.png"
rep


