#!/usr/bin/env python3

import re

def readchi(fil):

    f = open(fil, "r")

    i = 0
    j = 0
    D = []
    for line in f.readlines():
        if re.match(r'^ *#', line):
            continue
        l = line.split()
        if len(l) == 0:
            i = 0
            continue
        i += 1
        if i == 1:
            continue

        chi_ = float(l[-1])
        j += 1

        if chi_ > 100.0:
            D.append(j)  # we cannot use wave (Doppler-shifted)!

    f.close()
    return D

def main():

    D = readchi("chi2_SYN.dat")

    f = open("Spectra_10.dat", "r")
    f2 = open("Spectra_nooutliers.dat", "w")
    f3 = open("Spectra_outliers.dat", "w")

    i = 0
    j = 0
    eps = 1.0e-4
    j_ = D[i]
    for line in f.readlines():
        if re.match(r'^ *#', line):
            f2.write(line)
            continue
        l = line.split()
        jd = float(l[0])
        wave = float(l[1])
        j += 1

        if j == j_:
            f3.write(line)
            i += 1
            if i < len(D):
                j_ = D[i]
        else:
            f2.write(line)

    f.close()
    f2.close()
    f3.close()

if __name__ == "__main__":
    main()

